usermgmt Module Reference

User Management More...

## Classes

struct | Account
| Account information More...
struct | AuxInfo
| Auxiliary user information. More...
struct | Preferences
| User preferences More...
interface | Role
| Role management interface More...
interface | RoleManager
| Role manager interface. More...
struct | SnmpV3Settings
| SNMPv3 settings. More...
interface | User_1_0_2
| User interface More...
struct | UserCapabilities
| User Capabilities Describe if certain operations can be performed for user. More...
struct | UserInfo
| User information More...
interface | UserManager_1_0_4
| User manager interface More...

## Enumerations

enum | TemperatureEnum { DEG_C, DEG_F }
| Preferred display unit for temperature sensors. More...
enum | LengthEnum { METER, FEET }
| Preferred display unit for length measurements, e.g. More...
enum | PressureEnum { PASCAL, PSI }
| Preferred display unit for (air) pressure sensors. More...

## Variables

valueobject | RoleEvent
| Base type of all account event.
valueobject | RoleAdded
valueobject | RoleRemoved
valueobject | RoleChanged
Role::Info | newSettings
valueobject | AccountEvent
| Base type of all account event. More...
valueobject | AccountAdded
| This event is emitted after a new account with the provided username was added.
valueobject | AccountRemoved
| This event is emitted after the account with the provided username has been removed.
valueobject | PasswordChanged
| This event is emitted after the password for an account was changed.
valueobject | AccountChanged
| This event is emitted if the settings of an account as defined in usermgmt::UserInfo have changed (Note: we may add an indication what in the structure has changed or even split the event, if handling is difficult)

## Detailed Description

User Management

## Enumeration Type Documentation

## LengthEnum

enum usermgmt::LengthEnum

Preferred display unit for length measurements, e.g.

device altitude

Enumerator
METER | Meters.
FEET | Feet.

## PressureEnum

enum usermgmt::PressureEnum

Preferred display unit for (air) pressure sensors.

Enumerator
PASCAL | Pascal.
PSI | pound-force per square inch

## TemperatureEnum

enum usermgmt::TemperatureEnum

Preferred display unit for temperature sensors.

Enumerator
DEG_C | Degrees Celsius.
DEG_F | Degrees Fahrenheit.

## Variable Documentation

## AccountEvent

valueobject usermgmt::AccountEvent

Base type of all account event.

id of user which was affected